Bug 8627 - warn about unused imports
warn about unused imports
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: java
3.3
: P3 enhancement
: 4.3.0
Assigned To: Not yet assigned to anyone
: diagnostic
: 8629 (view as bug list)
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-18 13:16 UTC by Tom Tromey
Modified: 2007-01-09 20:44 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-01-29 17:56:40


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Tromey 2002-11-18 13:16:02 UTC
The eclipse java compiler can warn about unused imports.
This would be a moderately useful code cleanliness feature.

Release:
unknown
Comment 1 Dara Hazeghi 2003-06-08 17:05:20 UTC
Confirmed not present gcc 3.3 branch and mainline.
Comment 2 Tom Tromey 2007-01-09 20:44:23 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.